Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InternalLinkTypePassportDataRequest

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypePassportDataRequest

Enclosing class:
  TdApi

public static final class TdApi.InternalLinkTypePassportDataRequest extends TdApi.InternalLinkType
The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the application; otherwise, ignore it.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
User identifier of the service's bot.
`String`
`callbackUrl`
An HTTP URL to open once the request is finished, canceled, or failed with the parameters tgPassport=success, tgPassport=cancel, or tgPassport=error&error=...
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`nonce`
Unique request identifier provided by the service.
`String`
`publicKey`
Service's public key.
`String`
`scope`
Telegram Passport element types requested by the service.

## Constructor Summary

Constructors
Constructor
Description
`InternalLinkTypePassportDataRequest()`
The link contains a request of Telegram passport data.
`InternalLinkTypePassportDataRequest(long botUserId, String scope, String publicKey, String nonce, String callbackUrl)`
The link contains a request of Telegram passport data.
`InternalLinkTypePassportDataRequest(DataInput input)`
The link contains a request of Telegram passport data.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
User identifier of the service's bot.

### scope

public String scope
Telegram Passport element types requested by the service.

### publicKey

public String publicKey
Service's public key.

### nonce

public String nonce
Unique request identifier provided by the service.

### callbackUrl

public String callbackUrl
An HTTP URL to open once the request is finished, canceled, or failed with the parameters tgPassport=success, tgPassport=cancel, or tgPassport=error&error=... respectively. If empty, then onActivityResult method must be used to return response on Android, or the link tgbot{botUserId}://passport/success or tgbot{botUserId}://passport/cancel must be opened otherwise.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InternalLinkTypePassportDataRequest

public InternalLinkTypePassportDataRequest()
The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the application; otherwise, ignore it.

### InternalLinkTypePassportDataRequest

public InternalLinkTypePassportDataRequest(long botUserId, String scope, String publicKey, String nonce, String callbackUrl)
The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the application; otherwise, ignore it.

Parameters:
  `botUserId` - User identifier of the service's bot.
  `scope` - Telegram Passport element types requested by the service.
  `publicKey` - Service's public key.
  `nonce` - Unique request identifier provided by the service.
  `callbackUrl` - An HTTP URL to open once the request is finished, canceled, or failed with the parameters tgPassport=success, tgPassport=cancel, or tgPassport=error&error=... respectively. If empty, then onActivityResult method must be used to return response on Android, or the link tgbot{botUserId}://passport/success or tgbot{botUserId}://passport/cancel must be opened otherwise.

### InternalLinkTypePassportDataRequest

public InternalLinkTypePassportDataRequest(DataInput input) throws IOException
The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the application; otherwise, ignore it.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`